package com.hotent.base.aop;

import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.hotent.base.cache.annotation.Cacheable;
import com.hotent.base.feign.PortalFeignService;
import com.hotent.base.constants.CacheKeyConst;

@Service
public class AopCacheHelper {
	
	@Resource 
	PortalFeignService portalFeignService;
	
	@Cacheable(value = CacheKeyConst.EIP_SYS_DATA_PERMISSION, key="#key")
	public String getDataPermissionFromCache(String key) {
		return null;
	}
	
	@Cacheable(value = CacheKeyConst.EIP_SYS_LOGS_SETTING_STATUS, key=CacheKeyConst.EIP_SYS_LOGS_SETTING_STATUS_KEY, pureKey = true)
	public Map<String, String> getSysLogsSettingStatusMap(){
		return portalFeignService.getSysLogsSettingStatusMap();
	}
}
